<?php
/**
 * Subscribe Section options
 *
 * @package Theme Palace
 * @subpackage Corporate Education Pro
 * @since Corporate Education Pro 1.0
 */

$wp_customize->add_section( 'corporate_education_pro_subscribe', array(
	'title'             => esc_html__( 'Subscribe','corporate-education-pro' ),
	'description'       => sprintf( '<b> %1$s </b> %2$s', esc_html__( 'INFO', 'corporate-education-pro' ), esc_html__( 'To activate and customize this section please install Jetpack plugin and activate subscription module.', 'corporate-education-pro' ) ),
	'panel'             => 'corporate_education_pro_sections_panel',
) );

// subscribe Section enable setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[subscribe_enable]', array(
	'sanitize_callback'	=> 'corporate_education_pro_sanitize_checkbox',
	'default'          	=> $options['subscribe_enable'],
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[subscribe_enable]', array(
	'label'            	=> esc_html__( 'Enable Subscribe Section', 'corporate-education-pro' ),
	'section'          	=> 'corporate_education_pro_subscribe',
	'type'             	=> 'checkbox',
) );

// subscribe Section title setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[subscribe_title]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['subscribe_title'],
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[subscribe_title]', array(
	'label'            	=> esc_html__( 'Title', 'corporate-education-pro' ),
	'section'          	=> 'corporate_education_pro_subscribe',
	'type'             	=> 'text',
	'active_callback'	=> 'corporate_education_pro_is_subscribe_enable',
) );


// subscribe Section subtitle setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[subscribe_sub_title]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['subscribe_sub_title'],
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[subscribe_sub_title]', array(
	'label'            	=> esc_html__( 'Sub Title', 'corporate-education-pro' ),
	'section'          	=> 'corporate_education_pro_subscribe',
	'type'             	=> 'text',
	'active_callback'	=> 'corporate_education_pro_is_subscribe_enable',
) );

// subscribe Section btn label setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[subscribe_btn_label]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['subscribe_btn_label'],
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[subscribe_btn_label]', array(
	'label'            	=> esc_html__( 'Button Label', 'corporate-education-pro' ),
	'section'          	=> 'corporate_education_pro_subscribe',
	'type'             	=> 'text',
	'active_callback'	=> 'corporate_education_pro_is_subscribe_enable',
) );

// subscribe Section background setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[subscribe_image]', array(
	'default'           => $options['subscribe_image'],
	'sanitize_callback' => 'corporate_education_pro_sanitize_image'
) );

$wp_customize->add_control(
	new WP_Customize_Image_Control( $wp_customize, 'corporate_education_pro_theme_options[subscribe_image]',
		array(
		'label'       		=> esc_html__( 'Select Background Image', 'corporate-education-pro' ),
		'description' 		=> sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'corporate-education-pro' ), 1500, 1000 ),
		'section'     		=> 'corporate_education_pro_subscribe',
		'active_callback'	=> 'corporate_education_pro_is_subscribe_enable',
) ) );