<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Corporate Education Pro
 * @since Corporate Education Pro 1.0
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <?php
    $header_image_meta = corporate_education_pro_header_image_meta_option();
	if ( is_array( $header_image_meta ) ) {
		$header_image_meta = $header_image_meta[1];
	} 
	if ( 'show-both' == $header_image_meta ) { 
		if ( has_post_thumbnail() ) : ?>
			<figure class="featured-image">
				<?php the_post_thumbnail( 'full', array( 'alt' => the_title_attribute( 'echo=0' ) ) ); ?>
			</figure>
		<?php endif; 
	} ?>

	<div class="entry-container">
		<header class="entry-header">
			<p class="entry-meta">
				<?php corporate_education_pro_posted_on(); ?>
			</p><!-- .entry-meta -->
		</header><!-- .entry-header -->

		<div class="entry-content">
			<div class="post-meta">
				<?php 
				$post_type = get_post_type();
					switch ( $post_type ) {
						case 'tp-class': ?>
							<?php if ( class_exists( 'TP_Education' ) ) : ?>
								<ul class="tp-education-meta entry-meta">
									<li><?php tp_class_age_group(); ?></li>
									<li><?php tp_class_size(); ?></li>
									<?php if ( get_post_meta( get_the_id(), 'tp_class_cost_value', true ) != '' ) :  ?>
										<li>
											<?php 
											tp_class_cost(); 
											tp_class_period();
											?>
										</li>
									<?php endif; ?>
				                </ul><!-- .tp-education-meta -->
							<?php endif; ?>
						<?php break;

						case 'tp-event': ?>
							<?php if ( class_exists( 'TP_Education' ) ) : ?>
								<ul class="tp-education-meta entry-meta">
									<li><?php tp_event_date(); ?></li>
									<li><?php tp_event_start_time(); ?></li>
									<li><?php tp_event_end_time(); ?></li>
									<li><?php tp_event_location(); ?></li>
								</ul>
							<?php endif; ?>
						<?php break;

						case 'tp-excursion': ?>
							<?php if ( class_exists( 'TP_Education' ) ) : ?>
								<ul class="tp-education-meta entry-meta">
									<li><?php tp_excursion_start_date(); ?></li>
									<li><?php tp_excursion_end_date(); ?></li>
									<li><?php tp_excursion_location(); ?></li>
								</ul>
							<?php endif; ?>
						<?php break;

						case 'tp-affiliation': ?>
							<?php if ( class_exists( 'TP_Education' ) ) : ?>
								<p class="tp-education-meta entry-meta">
									<?php
									// team designation
									tp_affiliation_link();
									?>
								</p><!-- .tp-education-meta -->
							<?php endif; ?>
						<?php break;
						
						default:
						break;
					} ?>
				</div>
				<?php
				the_content( sprintf(
					/* translators: %s: Name of current post. */
					wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'corporate-education-pro' ), array( 'span' => array( 'class' => array() ) ) ),
					the_title( '<span class="screen-reader-text">"', '"</span>', false )
				) );

				wp_link_pages( array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'corporate-education-pro' ),
					'after'  => '</div>',
				) );
			?>
		</div><!-- .entry-content -->

		<footer class="entry-footer">
			<?php corporate_education_pro_entry_footer(); ?>
		</footer><!-- .entry-footer -->
		
	</div><!-- .entry-container -->
</article><!-- #post-## -->
